import type { LabelPropType, SymbolAPI, SymbolStates } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolSymbol implements SymbolAPI {
    render(): JSX.Element;
    _label: LabelPropType;
    _symbol: string;
    state: SymbolStates;
    validateLabel(value?: LabelPropType): void;
    validateSymbol(value?: string): void;
    componentWillLoad(): void;
}
